scoreboard players add minut data 1
execute as @a[tag=!cursemana] if score @s mana < @s max_mana run scoreboard players add @s mana 1
scoreboard players remove @a[scores={wither_storm_animated=0..}] wither_storm_animated 1
scoreboard players remove @a[scores={cd_sword=1..}] cd_sword 1
scoreboard players remove @a[scores={cd_axe=1..}] cd_axe 1
scoreboard players remove @a[scores={cd_upgrade=1..}] cd_upgrade 1
execute if score minut data matches 60.. run function artefacts:minut

execute as @a[scores={class=0}] as @s if score @s give_knight matches 1.. run function artefacts:classes/knight
execute as @a[scores={class=0}] as @s if score @s give_miner matches 1.. run function artefacts:classes/miner
execute as @a[scores={class=0}] as @s if score @s give_axemen matches 1.. run function artefacts:classes/axemen

scoreboard players enable @a give_axemen
scoreboard players enable @a give_knight
scoreboard players enable @a give_miner

execute if entity @a[scores={class=0}] run scoreboard players add time_to_new_tell data 1
execute if score time_to_new_tell data matches 20.. run function artefacts:tell

execute as @a as @s run function artefacts:give_advancements

execute as @a[scores={class=2}] at @s run function artefacts:class_score/miner/trigger
execute as @a[scores={class=3}] at @s run function artefacts:class_score/axeman/trigger

execute as @a[tag=!config1] as @s run function artefacts:settings

execute as @a[scores={cd_upgrade=0},nbt={Inventory:[{Slot:-106b,id:"minecraft:amethyst_shard",count:1,components:{"minecraft:custom_data":{catalyst:1}}}]}] at @s if block ~ ~ ~ enchanting_table run function artefacts:upgrade/check
execute as @e[type=item,nbt={Item:{id:"minecraft:amethyst_shard",count:1}}] at @s if block ~ ~-1 ~ crafting_table run function artefacts:recipes/catalyst
execute as @e[type=item,nbt={Item:{id:"minecraft:amethyst_shard",count:1,components:{"minecraft:custom_data":{catalyst:1}}}}] at @s if block ~ ~-1 ~ #minecraft:anvil run function artefacts:recipes/mana_score
execute as @e[type=item,nbt={Item:{components:{"minecraft:custom_data":{upgrader:1}},count:1}}] at @s if block ~ ~-1 ~ #anvil run function artefacts:recipes/check_upgraders
execute as @e[type=item,nbt={Item:{count:1,components:{"minecraft:custom_data":{nactived:1}}}}] at @s if block ~ ~ ~ enchanting_table run function artefacts:activated/select_activation

execute as @a[nbt={SelectedItem:{components:{"minecraft:custom_data":{mana_score:1}}}}] run function artefacts:use/mana_counter

execute as @a[scores={mana_lvl=1}] if score @s upgrade_mana matches 50.. run function artefacts:upgrade/mana/mana_upgrade
execute as @a[scores={mana_lvl=2}] if score @s upgrade_mana matches 150.. run function artefacts:upgrade/mana/mana_upgrade
execute as @a[scores={mana_lvl=3}] if score @s upgrade_mana matches 300.. run function artefacts:upgrade/mana/mana_upgrade
execute as @a[scores={mana_lvl=4}] if score @s upgrade_mana matches 500.. run function artefacts:upgrade/mana/mana_upgrade

effect give @a[nbt={Inventory:[{Slot:17b,components:{"minecraft:custom_data":{slime_ring:1}}}]}] jump_boost 2 0 true
effect give @a[nbt={Inventory:[{Slot:16b,components:{"minecraft:custom_data":{slime_ring:1}}}]}] jump_boost 2 0 true
effect give @a[nbt={Inventory:[{Slot:15b,components:{"minecraft:custom_data":{slime_ring:1}}}]}] jump_boost 2 0 true
effect give @a[scores={deathslime=1}] weakness 2 0 true
effect give @a[scores={deathslime=2}] weakness 2 1 true

execute as @a as @s if score @s eatin_rotten_flesh matches 5.. run function artefacts:artefacts_effects/zombie_amulet/saturation

tag @a remove slime_boost

scoreboard players set second data 0